跳转到主要内容
PUT
/
base
/
{baseId}
/
publish
cURL
curl --request PUT \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/publish \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"title":"string","description":"string","cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"nodes":["string"],"includeData":true,"defaultActiveNodeId":"string"}'

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填

请求体

application/json
title
string
必填
description
string
必填
cover
object
nodes
string[]
includeData
boolean
defaultActiveNodeId
string | null

响应

200

publish base successfully

Last modified on March 5, 2026